This URL retrieves the advanced device configuration at the domain level.
Resource URL
GET /domain/<domainId>/ advanceddeviceconfiguration
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| domainId | Domain id | Number | Yes |
Response Parameters
Following fields are returned.
| Field Name | Description | Data Type |
|---|---|---|
| inheritSettings | Inherit settings from the parent domain | Boolean |
| preAttackBytestoCapture | Attack bytes to capture - Can be 128, 256 | Int |
| inspectTunneledTraffic | Inspect tunneled traffic | Boolean |
| cliActivityLogging | Log CLI activity. Values allowed are:
|
String |
| showCPUUsageinCLI | Show CPU usage in CLI | Boolean |
| restrictSSHAccesstoCLI | Restrict CLI access using SSH | Boolean |
| enableSSHLogging | Enable SSH logging | Boolean |
| permittedIPv4CIDRBlocks | The permitted IPv4 CIDR list for SSH access to CLI | Object |
| permittedIPv6CIDRBlocks | The permitted IPv6 CIDR list for SSH access to CLI | Object |
| useTraditionalSnort | Chooses either the traditional Trellix IPS snort or the new Suricata snort | Boolean |
Details of permittedIPv4CIDRBlocks:
| Field Name | Description | Data Type |
|---|---|---|
| id | ID of the object | Int |
| cidr | IPv4 CIDR address | String |
| action | On delete action, the value should be 'delete' | String |
Details of permittedIPv6CIDRBlocks:
| Field Name | Description | Data Type |
|---|---|---|
| id | ID of the object | Int |
| cidr | IPv6 CIDR address | String |
| action | On delete action, the value should be 'delete' | String |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/advanceddeviceconfiguration
Response
{
"inheritSettings": false,
"preAttackBytestoCapture": 128,
"inspectTunneledTraffic": false,
"cliActivityLogging": "DISABLED",
"showCPUUsageinCLI": false,
"restrictSSHAccesstoCLI": true,
"enableSSHLogging": false,
"permittedIPv4CIDRBlocks":
[
{
"id": 1,
"cidr": "1.1.1.1/32",
"action": null
}
],
"permittedIPv6CIDRBlocks":
[
{
"id": 2,
"cidr": "2001:0DB9:0000:0000:0000:0000:0000:0001/128",
"action": null
}
],
“useTraditionalSnort”: true
}
Error Information
Following error code is returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 404 | 1105 | Invalid domain |